version: '3'

services:
  vscode-basex:
    container_name: vscode-basex
    image: vscode-basex
    build: .
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=Europe/London
      - SUDO_PASSWORD=password #optional
      - SUDO_PASSWORD_HASH= #optional
    volumes:
      - ./config:/config
      - ./custom:/basex/lib/custom
      - /var/run/docker.sock:/var/run/docker.sock:ro
    ports:
      - 8444:8443
    restart: unless-stopped